/*
 *  meninit.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software. All rights reserved.
 *  
 *  This file is part of ObjectProDSP, a tool for Digital Signal
 *  Processing design, development and implementation. It is free
 *  software provided you use and distribute it under the terms of
 *  version 2 of the GNU General Public License as published
 *  by the Free Software Foundation. You may NOT distribute it or
 *  works derived from it or code that it generates under ANY
 *  OTHER terms.  In particular NONE of the ObjectProDSP system is
 *  licensed for use under the GNU General Public LIBRARY License.
 *  Mountain Math Software plans to offer a commercial version of
 *  ObjectProDSP for a fee. That version will allow redistribution
 *  of generated code under standard commercial terms.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of version 2 of the GNU General
 *  Public License along with this program. See file COPYING. If not
 *  or if you wish information on commercial versions and licensing
 *  write Mountain Math Software, P. O. Box 2124, Saratoga, CA 95070,
 *  USA, or send us e-mail at: support@mtnmath.com.
 *  
 *  You may also obtain the GNU General Public License by writing the
 *  Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 *  USA.  However if you received a copy of this program without the
 *  file COPYING or without a copyright notice attached to all text
 *  files, libraries and executables please inform Mountain Math Software.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include "fstinit.h"
#include "incinit.h"
#include "meninit.h"

#include "hrdarth.h"

void InitAllMenuRoutines()
{
	AddDef = new Add("AddDef",
		2,
		0,
		1.0);	AsciiFileDef = new AsciiFile("AsciiFileDef",
		0,
		0,
		0,
		0);	BlockDef = new Block("BlockDef",
		2,
		1,
		0);	CircBufDesDef = new CircBufDes("CircBufDesDef",
		2048,
		512,
		0,
		1,
		4096,
		32);	CompareDiskDef = new CompareDisk("CompareDiskDef",
		0,
		1000,
		0.0,
		0);	ConstantDataDef = new ConstantData("ConstantDataDef",
		1024);	CosDef = new Cos("CosDef",
		0.125663706144,
		0.0,
		1024.);	CxCosDef = new CxCos("CxCosDef",
		0.125663706144,
		0.0,
		1024.);	CxFFTDef = new CxFFT("CxFFTDef",
		4,
		0.0,
		0.5,
		0);	CxFirDef = new CxFir("CxFirDef",
		1,
		0,
		0.0,
		0,
		(MachWord * ) TheDataForCxFirCoeffDefaultArray, 16);	CxImpDef = new CxImp("CxImpDef",
		32,
		0.0,
		1024.,
		.5,
		0);	NetworkDef = new Network("NetworkDef");	DataFlowDef = new DataFlow("DataFlowDef",
		* NetworkDef);	DemodDef = new Demod("DemodDef",
		0,
		0.0);	DemuxDef = new Demux("DemuxDef",
		2,
		1,
		1,
		1);	EyePlotDef = new EyePlot("EyePlotDef",
		400.,
		0);	FindStartTailDef = new FindStartTail("FindStartTailDef",
		0,
		0,
		0,
		0);	GainDef = new Gain("GainDef",
		1.0);	GainPadDef = new GainPad("GainPadDef",
		1.0,
		1,
		0);	HexListDef = new HexList("HexListDef",
		1,
		0);	ImportDataDef = new ImportData("ImportDataDef",
		0,
		"%d",
		1,
		0,
		(int32 * ) TheDataForImportDataSkipFieldsDefaultArray, 1,
		(int32 * ) TheDataForImportDataSkipColumnsDefaultArray, 1);	InputNodeDef = new InputNode("InputNodeDef",
		0,
		0,
		1);	InputWordDef = new InputWord("InputWordDef",
		0,
		0,
		0,
		0,
		1,
		1);	IntegrateDef = new Integrate("IntegrateDef",
		1,
		1,
		1.0);	InterpolateDef = new Interpolate("InterpolateDef",
		1,
		1);	ListingDef = new Listing("ListingDef",
		0,
		0);	MaskWordDef = new MaskWord("MaskWordDef",
		0);	MuxDef = new Mux("MuxDef",
		2,
		1,
		2,
		1);	NormalDef = new Normal("NormalDef",
		1024.0,
		0.0,
		1,
		1);	OutputNodeDef = new OutputNode("OutputNodeDef",
		0,
		1,
		1,
		128,
		0,
		1);	OutputWordDef = new OutputWord("OutputWordDef",
		0,
		0);	PackWordDef = new PackWord("PackWordDef",
		8,
		2);	PlotDef = new Plot("PlotDef",
		0);	PowerDef = new Power("PowerDef",
		0,
		1.0);	RampDef = new Ramp("RampDef",
		0,
		0,
		1);	ReadFloatDef = new ReadFloat("ReadFloatDef",
		0);	ReadIntDef = new ReadInt("ReadIntDef",
		0,
		0);	RealFirDef = new RealFir("RealFirDef",
		1,
		0,
		0,
		(MachWord * ) TheDataForRealFirCoeffDefaultArray, 16);	RepackStreamDef = new RepackStream("RepackStreamDef",
		8,
		1,
		0);	SampleDelayDef = new SampleDelay("SampleDelayDef",
		1,
		0);	TruncateDef = new Truncate("TruncateDef",
		31,
		31,
		0,
		0);	UniformNoiseDef = new UniformNoise("UniformNoiseDef",
		1024.0,
		-1024.0,
		1,
		1);	UnpackWordDef = new UnpackWord("UnpackWordDef",
		8,
		2,
		0);	VoiceNodeDef = new VoiceNode("VoiceNodeDef",
		0,
		0);	VoiceStripOutDef = new VoiceStripOut("VoiceStripOutDef",
		0);
}

